2018-11-21 05:32 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005126GNUnetdocumentationpublic2018-10-30 19:18
Reporterng0 
Assigned Tong0 
PrioritylowSeveritytextReproducibilityN/A
StatusresolvedResolutionwon't fix 
Product Version 
Target VersionFixed in VersionSVN HEAD 
Summary0005126: find ways to translate documentation and enable it
DescriptionOnce we have resolved https://gnunet.org/bugs/view.php?id=5120 and https://gnunet.org/bugs/view.php?id=5123 we should consider a way to offer a translated documentation.

As Texinfo has no native way to include translations in one source file, we have to look at sphinx-intl (http://www.sphinx-doc.org/en/stable/intl.html one way to use it is visible here: https://github.com/tork-a/openrtm_tutorial/blob/devel/README.rst)

Ideally the work on this would be done via translationsproject.org
Additional InformationWhat problem does this solve if it adds more work?

We are aiming for a global usage, this is why we need to be able to offer documentation in more than just English.

---
NOTE:

We need to do A, then B, and afterwards A and B w need to do C
to get to the point where we can work on D. Otherwise work on
D is possible but rather pointless. Nevertheless we can point
out that D needs to be done.

So what I need is something like:
in D: D depends on C.
in C: C depends on B.
in B: B depends on A.



D is in this case 'THIS' ticket, and A,B,C is everything else that needs to be done on the documentation to some extent.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0012444

Christian Grothoff (manager)

I think we need to first focus on improving the *quality* of the documentation, before looking to have it translated. IMO, having the main Web site translated would be great, but the detailed TeXinfo manuals are still far from the quality that I'd feel OK with giving to translators, as right now they would likely just waste their time.

~0012448

ng0 (developer)

I fully agree here, and if Mantis had a priority listing option with different sublevels, this would've been created with the lowest priority in 'documentation'. Precondition is fixing the documentation. I thought that much would be clear, but thanks for clearing it up for the bypassers without the whole image.

~0013282

ng0 (developer)

Last edited: 2018-10-21 13:13

View 2 revisions

From what I have read it is best to create separate documents per language and add language extensions to the filenames.

I am closing this bug as we are far from a state where we could consider starting translations.
edit: Apparently I can not close children which have parents. I would have expected that parent with existing children would not work, but this? urgh.

~0013284

Christian Grothoff (manager)

Ack. As for separate documents per language, I think we'll probably want separate directories given that we have the documentation split over various files (and on top-level we could then keep shared non-translatable graphics). But: yes, far away.

~0013303

ng0 (developer)

WONTFIX: The solution is to create individual files. We are far from having a good English documentation, so we will revisit a more accurate bug once we get to a state where the documentation is good enough to be translated.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-24 10:02 ng0 New Issue
2017-08-24 10:03 ng0 Priority normal => low
2017-08-24 10:03 ng0 Severity minor => text
2017-09-27 10:49 ng0 Summary translate documentation => find ways to translate documentation and enable it
2017-09-27 10:49 ng0 Description Updated View Revisions
2017-09-27 10:49 ng0 Additional Information Updated View Revisions
2017-09-27 11:36 Christian Grothoff Note Added: 0012444
2017-09-27 16:06 ng0 Note Added: 0012448
2017-09-27 16:07 ng0 Note Added: 0012449
2017-09-27 16:07 ng0 Note Deleted: 0012449
2017-09-27 16:08 ng0 Additional Information Updated View Revisions
2017-09-27 17:48 ng0 Additional Information Updated View Revisions
2017-09-27 20:25 ng0 Relationship added child of 0005120
2017-09-27 20:26 ng0 Relationship deleted child of 0005120
2017-09-27 20:28 ng0 Relationship added parent of 0005141
2018-10-21 13:11 ng0 Note Added: 0013282
2018-10-21 13:11 ng0 Assigned To => ng0
2018-10-21 13:11 ng0 Status new => assigned
2018-10-21 13:13 ng0 Note Edited: 0013282 View Revisions
2018-10-21 13:34 Christian Grothoff Note Added: 0013284
2018-10-21 13:35 Christian Grothoff Assigned To ng0 =>
2018-10-21 13:35 Christian Grothoff Reproducibility have not tried => N/A
2018-10-21 13:35 Christian Grothoff Status assigned => confirmed
2018-10-30 19:15 ng0 Relationship deleted parent of 0005141
2018-10-30 19:18 ng0 Assigned To => ng0
2018-10-30 19:18 ng0 Status confirmed => resolved
2018-10-30 19:18 ng0 Resolution open => won't fix
2018-10-30 19:18 ng0 Fixed in Version => SVN HEAD
2018-10-30 19:18 ng0 Note Added: 0013303
+Issue History